상세 컨텐츠

본문 제목

TFIO/TFIO.audio 설치 에러 - NotImplementedError

카테고리 없음

by 리치윈드 - windFlex 2022. 7. 6. 17:02

본문

반응형

 

텐서플로우(Tesorflow)를 이용한 오디오 파이프라인을 구성하려고 할 때,

tensorflow-io에서 다음과 같은 에러가 발생하는 일이 빈번하다. 

NotImplementedError: unable to open file: libtensorflow_io.so #1313

Tensorflow에서는 GPU 관련하여 버전이 안맞으면 이러한 에러가 자주 발생한다.

(tensorflow-io와 기존 tensorflow/cuda/cuDNN의 버전이 안맞는 경우)

 

특히 필자의 경우는, TFIO를 사용해서 오디오를 로드해야만 하는 상황이었다. 

tfio.audio.AudioIOTensor(...)

구글링을 해도 여러가지 해법이 동작하지 않았다. 

그 중 몇개의 댓글에서 해답을 찾았다. 

[해결 방안]

!pip install tensorflow_io==0.23.1

`tensorflow_io==0.23.1`을 설치 해라..

그런데, 어떤때는 `tensorflow-io`이고, 어떤 경우는 `tensorflow_io`로 dash(-)와 underscore(_) 차이가 있는듯 하다... 
이름은 `tensorflow-io`이고 설치 패키지명은 `tensorflow_io` 이다.

 

 

 

 

반응형

댓글 영역